SparrowDesk
ConversationsFieldsId

Update a conversation field

PATCH
/conversations/fields/{id}
AuthorizationBearer <token>

In: header

Path Parameters

idinteger

ID of the conversation field to update

name?string
description?string
is_active?boolean
is_mandatory_on_close?boolean
field_options?array<string>

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://app.sparrowdesk.com/v1/conversations/fields/0" \  -H "Content-Type: application/json" \  -d '{}'
{
  "data": {
    "id": 102,
    "name": "Priority Level (Updated)",
    "internal_name": "priority_level",
    "type": "dropdown",
    "description": "Updated description",
    "is_active": false,
    "is_default": true,
    "is_mandatory_on_close": false,
    "field_options": [
      {
        "id": 5,
        "name": "Urgent",
        "position": 4
      }
    ],
    "created_at": 1672531200,
    "updated_at": 1672535400
  }
}
{
  "error": {
    "message": "field_options can only be provided for dropdown type fields"
  }
}
{
  "error": {
    "message": "Conversation field with id 102 not found"
  }
}
{
  "error": {
    "message": "Field options already exist: Urgent, Critical"
  }
}
{
  "error": {
    "message": "Error updating conversation field"
  }
}